{
  "name": "@kode4/form",
  "version": "1.2.12",
  "description": "A form component and a set of input components based on lit-element",
  "main": "index.js",
  "module": "index.js",
  "types": "index.d.ts",
  "sideEffects": true,
  "scripts": {
    "demo:dev": "cross-env NODE_ENV=development webpack serve --config config/webpack.dev.js",
    "demo:build": "cross-env NODE_ENV=production webpack --config config/webpack.prod.js",
    "build": "rm -rf ./dist && npx tsc && mkdir dist/css && cp src/css/* dist/css",
    "all:build": "npm run demo:build && npm run build",
    "pub": "sh ./npm-publish.sh"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/kode4/lit-element/form.git"
  },
  "keywords": [
    "lit-element",
    "web components",
    "form"
  ],
  "author": "Benjamin Hartmann",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/kode4/lit-element/form/-/issues"
  },
  "homepage": "https://gitlab.com/kode4/lit-element/form",
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "^1.3.0",
    "@kode4/core": "^1.0.5",
    "@kode4/ui": "^1.4.35",
    "lit": "^2.1.3",
    "lodash-es": "^4.17.21",
    "uuid": "^8.3.2"
  },
  "devDependencies": {
    "@fortawesome/free-brands-svg-icons": "^6.0.0",
    "@fortawesome/free-regular-svg-icons": "^6.0.0",
    "@fortawesome/free-solid-svg-icons": "^6.0.0",
    "@types/lodash-es": "^4.17.6",
    "@types/uuid": "^8.3.4",
    "@webcomponents/webcomponentsjs": "^2.6.0",
    "clean-webpack-plugin": "^4.0.0",
    "copy-webpack-plugin": "^10.2.4",
    "cross-env": "^7.0.3",
    "css-loader": "^6.6.0",
    "css-minimizer-webpack-plugin": "^3.4.1",
    "dotenv-webpack": "^7.1.0",
    "html-webpack-plugin": "^5.5.0",
    "http-server": "^14.1.0",
    "mini-css-extract-plugin": "^2.5.3",
    "postcss-loader": "^6.2.1",
    "postcss-preset-env": "^7.3.3",
    "sass": "^1.49.7",
    "sass-loader": "^12.4.0",
    "style-loader": "^3.3.1",
    "terser-webpack-plugin": "^5.3.1",
    "ts-loader": "^9.2.6",
    "typescript": "^4.5.5",
    "webpack": "^5.68.0",
    "webpack-cli": "^4.9.2",
    "webpack-dev-server": "^4.7.4"
  },
  "files": [
    "*"
  ]
}
